Bug 1333309 (CVE-2016-4485) - CVE-2016-4485 kernel: Information leak in llc module
Summary: CVE-2016-4485 kernel: Information leak in llc module
Status: CLOSED NOTABUG
Alias: CVE-2016-4485
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160504,reported=2...
Keywords: Security
Depends On: 1333321
Blocks: 1332934
TreeView+ depends on / blocked
 
Reported: 2016-05-05 09:16 UTC by Adam Mariš
Modified: 2016-06-02 15:00 UTC (History)
34 users (show)

(edit)
An information leak vulnerability in [llc] module was found in "net/llc/af_llc.c". The stack object "info" has a total size of 12 bytes. Its last byte is padding which is not initialized and leaked via put_cmsg().
Clone Of:
(edit)
Last Closed: 2016-06-01 15:03:41 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-05-05 09:16:43 UTC
An information leak vulnerability in [llc] module was found in "net/llc/af_llc.c". The stack object "info" has a total size of 12 bytes. Its last byte is padding which is not initialized and leaked via put_cmsg().

Public via:

http://marc.info/?l=linux-kernel&m=146230753506235&w=2

http://marc.info/?l=linux-netdev&m=146230754406241&w=2

CVE-ID request and assignment:

http://seclists.org/oss-sec/2016/q2/233

http://seclists.org/oss-sec/2016/q2/236

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/davem/net.git/commit/?id=b8670c09f37bdf2847cc44f36511a53afc6161fd

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=b8670c09f37bdf2847cc44f36511a53afc6161fd

Comment 1 Adam Mariš 2016-05-05 09:40:45 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1333321]

Comment 2 Fedora Update System 2016-05-14 23:23:12 UTC
kernel-4.5.4-300.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-05-16 14:52:57 UTC
kernel-4.4.9-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Vladis Dronov 2016-06-01 15:02:25 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2 as the related code with the flaw is not present in the products listed.

Comment 6 Fedora Update System 2016-06-02 15:00:04 UTC
kernel-4.5.5-201.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.